import { z } from "zod"

import { breakfastPackageSchema } from "@/server/routers/hotels/output"

import { BreakfastPackageEnum } from "@/types/enums/breakfast"

export const breakfastStoreSchema = z.object({
  breakfast: breakfastPackageSchema.or(
    z.literal(BreakfastPackageEnum.NO_BREAKFAST)
  ),
})

export const breakfastFormSchema = z.object({
  breakfast: z.string().or(z.literal(BreakfastPackageEnum.NO_BREAKFAST)),
})
